RanklyBee logoRanklyBee
Drafts

Prepare an outreach draft

Requires the outreach:write scope.

POST
/workspaces/{workspaceId}/prospects/{prospectId}/draft

Requires the outreach:write scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

prospectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

contactId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/prospects/string/draft" \  -H "Content-Type: application/json" \  -d '{    "contactId": "string"  }'
{  "ok": true,  "data": {    "status": "created",    "draft": {      "id": "string",      "prospectId": "string",      "contactId": "string",      "status": "string",      "purpose": "string",      "starredAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "message": {        "id": "string",        "subject": "string",        "body": "string",        "personalization": {},        "groundingSummary": "string",        "generationProvider": "string",        "generationModel": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "prospect": {        "id": "string",        "title": "string",        "url": "http://example.com",        "domain": "string"      },      "contact": {        "id": "string",        "fullName": "string",        "email": "user@example.com",        "role": "string",        "company": "string"      }    }  }}